package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class MenuSendByDTO {
   @ApiModelProperty("食堂id")
   Long canteenId;
   @ApiModelProperty("档口id")
   Long stallId;
   @ApiModelProperty("餐线id")
   Long mealLineId;
   @ApiModelProperty("设备类型")
   List<Integer> deviceTypeList;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Long getMealLineId() {
      return this.mealLineId;
   }

   public List<Integer> getDeviceTypeList() {
      return this.deviceTypeList;
   }

   public MenuSendByDTO setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }

   public MenuSendByDTO setStallId(final Long stallId) {
      this.stallId = stallId;
      return this;
   }

   public MenuSendByDTO setMealLineId(final Long mealLineId) {
      this.mealLineId = mealLineId;
      return this;
   }

   public MenuSendByDTO setDeviceTypeList(final List<Integer> deviceTypeList) {
      this.deviceTypeList = deviceTypeList;
      return this;
   }
}
